Loading...
Searching...
No Matches
fits.h File Reference
`#include <casacore/casa/aips.h>`
`#include <cfloat>`
`#include <climits>`
`#include <cstdlib>`
`#include <cctype>`
`#include <casacore/casa/iostream.h>`
`#include <casacore/casa/BasicSL/Complex.h>`
`#include <casacore/casa/BasicSL/IComplex.h>`
`#include <casacore/fits/FITS/FITSError.h>`

Go to the source code of this file.

## Classes

class | casacore::NoConvert< TYPE >
| More...
class | casacore::FitsLogical
| FITS helper class. More...
class | casacore::FitsBit
| helper class for FITS Binary Tables More...
class | casacore::FitsVADesc
| Variable Length Array Descriptor. More...
class | casacore::FITS
| static functions and enumerations More...
class | casacore::ReservedFitsKeyword
| reserved FITS keyword More...
class | casacore::ReservedFitsKeywordCollection
| collection of reserved FITS keywords More...
class | casacore::FitsNameResult
| analyse the name of a header card More...
class | casacore::FitsValueResult
| analyse the value of a header card More...
class | casacore::FitsParse
| parse a header card More...
class | casacore::FitsKeyword
| FITS keyword. More...
class | casacore::FitsKeywordList
| linked list of FITS keywords More...
class | casacore::ConstFitsKeywordList
| list of read-only FITS keywords More...
class | casacore::FitsKeyCardTranslator
| translator between Keyword lists and fixed FITS cars More...
class | casacore::FitsFPUtil
| Utility functions for floating point values. More...

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines

## Functions

ostream & | casacore::operator<< (ostream &, const FITS::ValueType &)
ostream & | casacore::operator<< (ostream &, const FitsKeyword &)
ostream & | casacore::operator<< (ostream &o, FitsKeywordList &)